#!/bin/sh
# This script will delete all comments (host and service)
# 
# Tested with Nagios core version 3.2.0, but will work with version 3.x
#
#
# delete_nagios_comments.sh
# Change permissions to 755 before running the script
#
# Version 1.0
# Any comments and suggestions are welcome
#
# Author: Edwin Salvador, <salvadoredwin@hotmail.com>
# Date: 19/03/2010
#

cat /usr/local/nagios/var/status.dat | grep 'comment_id=' | sed -e 's/comment_id=//g' > tempfile.txt

for line in `cat tempfile.txt`;do

if  echo -e  "$line"  | egrep "^[0-9]+$"
 then
   NOW='date +%s'
   echo "[$NOW] DEL_HOST_COMMENT;$line;$NOW" > /usr/local/nagios/var/rw/nagios.cmd
   echo "[$NOW] DEL_SVC_COMMENT;$line;$NOW" > /usr/local/nagios/var/rw/nagios.cmd
  echo "Removed comment id $line"
fi

done